## ros-galactic-ament-cpplint 0.10.7

=== debian/changelog ===
ros-galactic-ament-cpplint (0.10.7-1focal) focal; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 28 Apr 2022 00:00:00 -0000

ros-galactic-ament-cpplint (0.10.6-1focal) focal; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 06 May 2021 00:00:00 -0000

ros-galactic-ament-cpplint (0.10.5-1focal) focal; urgency=high

  * Remove Claire as a maintainer. (#312 <https://github.com/ament/ament_lint/issues/312>)
    * Remove Claire as a maintainer.
    * Remove dead email addresses.
    * Remove more dead email addresses.
    * Switch setup.py maintainer to Audrow.
  * Contributors: Chris Lalancette

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 14 Apr 2021 00:00:00 -0000

ros-galactic-ament-cpplint (0.10.4-1focal) focal; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 18 Mar 2021 00:00:00 -0000

ros-galactic-ament-cpplint (0.10.3-1focal) focal; urgency=high

  * 0.10.3
  * Fix file exclusion behavior in ament_cppcheck and ament_cpplint (#299 <https://github.com/ament/ament_lint/issues/299>)
    * fix exclude behavior in ament_cppcheck and ament_cpplint
    * fix flake8 errors
    * add missing realpath() conversion
  * Contributors: Audrow Nash, M. Mei

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 03 Mar 2021 00:00:00 -0000

ros-galactic-ament-cpplint (0.10.2-1focal) focal; urgency=high

  * Add Audrow as a maintainer (#294 <https://github.com/ament/ament_lint/issues/294>)
  * Drop trailing tab from package manifests (#291 <https://github.com/ament/ament_lint/issues/291>)
    Follow-up to 8bf194aa1ac282db5483dd0d3fefff8f325b0db8
  * Contributors: Audrow Nash, Scott K Logan

 -- Audrow Nash <audrow@openrobotics.org>  Fri, 12 Feb 2021 00:00:00 -0000

ros-galactic-ament-cpplint (0.10.1-1focal) focal; urgency=high

  * Update maintainer (#274 <https://github.com/ament/ament_lint/issues/274>)
    * update maintainer
    * add authors
  * Contributors: Claire Wang

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 25 Jan 2021 00:00:00 -0000

ros-galactic-ament-cpplint (0.10.0-1focal) focal; urgency=high

  * Add pytest.ini so local tests don't display warning. (#259 <https://github.com/ament/ament_lint/issues/259>)
  * Contributors: Chris Lalancette

 -- Audrow Nash <audrow@openrobotics.org>  Fri, 18 Sep 2020 00:00:00 -0000

ros-galactic-ament-cpplint (0.9.4-1focal) focal; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 26 May 2020 00:00:00 -0000

ros-galactic-ament-cpplint (0.9.3-1focal) focal; urgency=high

  * Close source files after reading them (#249 <https://github.com/ament/ament_lint/issues/249>)
    Resolves the ResourceWarning messages coming to the console during
    testing with debug-enabled Python.
  * Contributors: Scott K Logan

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 18 May 2020 00:00:00 -0000

ros-galactic-ament-cpplint (0.9.2-1focal) focal; urgency=high

  * Allow AMENT_IGNORE markers to be directories (#232 <https://github.com/ament/ament_lint/issues/232>)
  * Contributors: Dan Rose

 -- Audrow Nash <audrow@openrobotics.org>  Fri, 08 May 2020 00:00:00 -0000

ros-galactic-ament-cpplint (0.9.1-1focal) focal; urgency=high

  * 0.9.0
  * more verbose test_flake8 error messages (same as ros2/launch_ros#135 <https://github.com/ros2/launch_ros/issues/135>)
  * Generate xunit files valid for the junit10.xsd (#220 <https://github.com/ament/ament_lint/issues/220>)
  * remove status attribute from result XML (#212 <https://github.com/ament/ament_lint/issues/212>)
  * Contributors: Chris Lalancette, Dirk Thomas, Jose Luis Rivero

 -- Audrow Nash <audrow@openrobotics.org>  Fri, 10 Apr 2020 00:00:00 -0000

ros-galactic-ament-cpplint (0.8.1-1focal) focal; urgency=high

  * install resource marker file for packages (#193 <https://github.com/ament/ament_lint/issues/193>)
  * Contributors: Dirk Thomas

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 23 Oct 2019 00:00:00 -0000

ros-galactic-ament-cpplint (0.8.0-1focal) focal; urgency=high

  * install manifest files in Python packages (#185 <https://github.com/ament/ament_lint/issues/185>)
  * Convert list comprehension to generator (#179 <https://github.com/ament/ament_lint/issues/179>)
    Addresses flake8 C412 errors introduced by flake8-comprehension 2.2.0
  * Contributors: Dirk Thomas, Scott K Logan

 -- Audrow Nash <audrow@openrobotics.org>  Tue, 17 Sep 2019 00:00:00 -0000

ros-galactic-ament-cpplint (0.7.4-1focal) focal; urgency=high

  * Escape backslashes in cpplint.py
    This gets rid of DeprecationWarning on Windows.
  * Contributors: Chris Lalancette

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 31 Jul 2019 00:00:00 -0000

ros-galactic-ament-cpplint (0.7.3-1focal) focal; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 09 May 2019 14:08:00 -0000

ros-galactic-ament-cpplint (0.7.2-1focal) focal; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 09 May 2019 09:30:00 -0000

ros-galactic-ament-cpplint (0.7.1-1focal) focal; urgency=high

  * update phrase of status messages (#137 <https://github.com/ament/ament_lint/issues/137>)
  * Contributors: Dirk Thomas

 -- Audrow Nash <audrow@openrobotics.org>  Tue, 07 May 2019 00:00:00 -0000

ros-galactic-ament-cpplint (0.7.0-1focal) focal; urgency=high

  * fix sorting of keys in same cases (#127 <https://github.com/ament/ament_lint/issues/127>)
  * Contributors: Dirk Thomas

 -- Audrow Nash <audrow@openrobotics.org>  Thu, 11 Apr 2019 00:00:00 -0000

ros-galactic-ament-cpplint (0.6.3-1focal) focal; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 14 Jan 2019 00:00:00 -0000

ros-galactic-ament-cpplint (0.6.2-1focal) focal; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 06 Dec 2018 00:00:00 -0000

ros-galactic-ament-cpplint (0.6.1-1focal) focal; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 15 Nov 2018 00:00:00 -0000

ros-galactic-ament-cpplint (0.6.0-1focal) focal; urgency=high




